
.breadcrumbs {
    display: none;
    position: relative;
    z-index: 9999;
    padding: 5px 5px 15px 0px;

    a {
        font-size: 12px;
    }
}

.badge-container {
    margin: 36px 0 0;
}

/* Blick in die Fertigung Button */
.bidf-wrapper {
    background:#fff; 
    border:1px solid #000; 
    max-width:180px; 
    position:absolute; 
    top:16px; 
    right:16px; 
    padding: 0 8px; 
    font-size:10px;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 34px;

    .dashicons-controls-play {
        margin-right:6px;
        font-size: 16px;
        height: 16px;
    }

    /* Standard für alle Browser */
    .bidf-text {
        transform: translateY(0);
    }

    /* Greift nur bei iOS Safari */
    @supports (-webkit-touch-callout: none) {
        .bidf-text {
            display: inline-block;
            transform: translateY(1px); /* Verschiebt den Text leicht nach unten */
        }
    }

}

.woocommerce-product-gallery__wrapper,
.flickity-slider {
    touch-action: pan-y !important;
    overscroll-behavior: contain !important;
}

.product-thumbnails .is-nav-selected a, 
.product-thumbnails a:hover {    
    border-color: transparent;
    border-bottom: 1px solid rgba(0, 0, 0, .2);
}

.product-thumbnails img {
    opacity: 1 !important;
} 

.flickity-prev-next-button {
    background-color: transparent !important;
    height: 100%;
    top: 0;
    bottom: unset;

    &:hover {
        background-color: transparent !important;
    }
}

.flickity-prev-next-button.next { right: 3%;}
.flickity-prev-next-button.previous { left: 3%;}


.gn-productpage-config-inner-row {
    margin: 0 auto !important;
    padding: 4rem 1rem 0 1rem !important;
    font-size: var(--gn-text-font-size-small);

    .col {
        padding: 0;
    }

    form.cart {
        margin-bottom: 0;
    }

    .product-title {
        font-size: 22px;
    }

    .product-price-container,
    .price-wrapper {
        margin: 1rem 0 1.5rem 0;

        .amount {
            font-weight: 400;
            font-size: 18px;
        }
    }

    .product-short-description {
        font-size: 14px;
        line-height: 24px;

        .dashicons {
            vertical-align: middle;
            font-size: 18px;
        }

        p {
            margin-bottom: 5px;
            padding-top: 5px;
        }
    }


    .woocommerce-variation-availability {
        margin: 3rem 0 2rem 0;
        font-size: var(--gn-text-font-size-small);
        font-weight: 700;
        display: none;
    }

    .wc-no-matching-variations .woocommerce-info {
        color: var(--fs-color-alert);
        font-size: 14px;
        margin: 1rem 0;
    }


    .product-section {
        .col {
            flex-basis: 50%;
            max-width: 50%;
        }

        .woocommerce-LoopProduct-link {
            font-size: var(--gn-text-font-size-small);
        }

        .woocommerce-Price-amount {
            font-weight: 400;
            font-size: var(--gn-text-font-size-small);
        }
    }

    .upsells-wrapper {
        margin-top: 2rem;

        .product-section-title {
            font-size: 18px;
        }

        .container, 
        .row {
            margin: 0;
        }
    }

}

.woocommerce-product-rating {
    font-size: var(--gn-text-font-size-small);
    cursor: pointer;

    .star-rating {
        font-size: 12px;
        letter-spacing: 3px;
        height: 14px;
        width: 6.09em;
            margin: 0 0 0 0;
    }

    .woocommerce-review-link {
        font-size: 100%;
        margin-right: 4px;
    }
}

.woocommerce-variation-add-to-cart, form.cart {
    gap: 0.5em;
}

.variations {

    .label {
        grid-gap:1rem;
        font-size: 14px;

        .ux-swatch-selected-value {
            font-size: 14px;
        }

    }

    tbody {
        display: block;
        padding: 1rem 0 0rem 0;
    }

    tr {
        display: block;
        padding: 3rem 0 0 0;

        &:first-child {
            padding: 0.5rem 0 0 0;
        }
    }

    .ux-swatches {
        --swatch-size-medium: 38px;
    }

    .ux-swatch-selected-value__separator { display: none !important; }
    
    .ux-swatch-selected-value {
        color: #aaa;
    }

    .ux-swatch {
        overflow: hidden;
        transform: translateZ(0); /* Trick, um den Box-Shadow zentriert zu halten (Rendering-Problem)*/
    }

    .ux-swatch--label {
        /* min-width: 110px; */
    }

}

.variations_form {
    .ux-swatches-attribute-ux_label {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
    }

    .ux-swatch.selected {
        color: var(--gn-text-color);
    }
}



.woocommerce-variation >
    .woocommerce-variation-price,
    .reset_variations,
    .ux-quantity.quantity.buttons_added.form-flat { display: none !important;}


/*Styling Sonderanfertigungen möglich - Button*/
.gn-sonderbutton-link {
    display: inline-flex;
    gap: 8px;

    .material-symbols-outlined {
            font-size: 17px;
            line-height: 23px;
    }

    .gn-sonderbutton-text {
        text-decoration: underline;
        font-size: var(--gn-text-font-size-small);
    }

}

/* Popup UX-Blocks mit Infos zu individuellen Anpassungsmöglichkeiten */

#sonder {max-width: 600px !important;}

.custom-options {
    max-width: 800px;
    margin: 0 auto 2rem auto;
    padding: 1rem 1rem 0 1rem;

    .co-headline {
        margin-bottom: 52px;
        border-bottom: 1px solid var(--gn-border-color);
        
        h2 {
            font-size: 24px;
            text-align: center;
            margin: 0;
            line-height: 100px;
        }
    }

    .custom-options-point { 
        display: grid;
        grid-template-columns: 1fr 18fr;
        grid-gap: 1rem;
        padding: 1rem 0rem;

        .cot-head {
            font-size: 16px;
            line-height: 22px;
        }	

        .cot-text {
            color:#999;
            font-size: 14px;
        }	
    }

    .custom-options-info {
        padding: 3rem 0 1rem 0;
    }

    .custom-options-button {
        .cta-button {
            max-width: 300px;
            width: 100%;
        }
    }
}

/* YITH Fleckschutz-Checkbox */
.fs-siegel {

    .yith-wapo-block .yith-wapo-addon.empty-title {
        margin-top: 12px;
        margin-bottom: -6px;
    }

    .yith-wapo-option {
        display: grid;
        grid-template-columns: 2fr 1fr;
        column-gap: 12px;

        .label {
            padding-right: 0;

            label {
                font-weight: 400 !important;
            }

        }

        .description {
            overflow-y: hidden !important;
            margin: 0;
            display: contents;
        }
    }

    .yith-wapo-container.yith-wapo-form-style-custom .yith-wapo-block .yith-wapo-addon {
        
        span.checkboxbutton {
            margin-right: 5px;
        }

        span.checkboxbutton:before {
            width: 18px;
            height: 18px;
            border-radius: 3px;
        }
    }

}

/* Auswahlhilfen-Links */
.gn-attribute-info-label {
    font-size: 14px;
    text-decoration: underline;
    color: #9D510E;
    margin-top: 1.75rem;
    display: block;
}



/*ddms Lieferzeitanzeige auf feste Höhe, damit der Konfigurator beim nachladen der LZ nicht springt*/
.gn-productpage-upper {
    .ddms-delivery-time {
        /* height: 94px; */
        
        .ddms-delivery-time__text {
            display: block;
        }

        .ddms-delivery-time__shipping-info {
            display: inline-block;
            vertical-align: middle;
        }

        .gn-attribute-info-symbol {
            display: inline-flex;
            align-items: center;
            vertical-align: middle;
            margin-left: 11px;
        }
    }
}  

.single_add_to_cart_button {
    width: 100%;
    height: 68px;
    line-height: 68px;
    font-size: 14px;
    margin: 1rem 0;
}


#product-assembly-container {

    label {
        display: flex;
        gap: 8px;
        font-weight: 400;
        font-size: var(--gn-text-font-size-small);
    }

    #assembly-message-checkbox {
        margin: 0;
    }
}


.gn-productpage-description {
    max-width: 1200px;
    margin: 0 auto;
    padding: 4rem 2rem 0 2rem !important;

    .col { padding: 0}
}

.gn-productpage-bottom {
    max-width: var(--gn-max-container-width);
    margin: 0 auto;
    padding: 2rem 1rem 0 1rem !important;

        .product-section {
            .product-section-title {
                font-size: 28px;
                line-height: 34px;
                text-align: center;
            }
        }
}

.ddms-shipping-description {
    .shippingflag {
        margin-right: 10px;
        height: 10px;
        vertical-align: baseline;
    }
}

.product-section {
    border: none;

    .product-section-title {
        text-transform: none;
        letter-spacing: 0;
        margin-bottom: 17px;
    }
}

.video-image-wrapper {
    display: flex;
    justify-content: center;
    margin: 2rem 0;
    max-width: 900px;
    justify-self: center;

    iframe { max-height: 300px;}
}

.related-products-wrapper {
    .flickity-button,
    .flickity-prev-next-button:hover {
        height: calc(100% - 118px);
        background-color: transparent;
        box-shadow: none;
    }

    .flickity-prev-next-button {
        width: 25px !important;

        svg {
            margin-top: 0 !important;
        }
            
        /* &.previous {
            left: 25px !important;
        }

        &.next {
            right: 25px !important;
        }
        */
    }
}

/*Styling der Popup Gallery auf der Produktseite*/
.pswp__bg {
    background-color: #fff !important;
}

button.pswp__button,
.pswp__button--arrow--left:before, 
.pswp__button--arrow--right:before {
    background-image: url(woocommerce/assets/css/photoswipe/default-skin/default-skin.png) !important;
}

button.pswp__button--arrow--left, 
button.pswp__button--arrow--right {
    background-image: none !important;
}

.pswp__button--arrow--left, 
.pswp__button--arrow--right,
.pswp__ui--idle .pswp__top-bar {
    opacity: 1 !important;
    visibility: visible !important;
    transition: none !important;
    background-image: none !important;
}

.pswp__caption, .pswp__top-bar {
    background-color: transparent !important;
}

.pswp__ui--idle .pswp__button--arrow--left, 
.pswp__ui--idle .pswp__button--arrow--right {
    opacity: 1;
}

.pswp--svg {
    .pswp__button--arrow--left, 
    .pswp__button--arrow--right {
        display: none;
    }
}

.pswp__ui--fit .pswp__top-bar {
    background-color: #fff !important;
}

.pswp--zoom-allowed .pswp__button--zoom,
.pswp--supports-fs .pswp__button--fs,
.pswp__button--share,
.pswp__preloader,
.pswp__caption {
    display: none;
}

.pswp__counter {
    color: var(--gn-text-color);
}

.pswp__ui {
    opacity: 1 !important;
    visibility: visible !important;
    transition: none !important;
}

.pswp__button {
    opacity: 1 !important;
    visibility: visible !important;
}


/* ddms- Accordion Tabs auf der Produktseite */
.ddms-tab-content {
    h4 {
        margin: 12px 0 8px 0;
    }

    div {
        margin-bottom: 3rem;
    }

    .ddms-dimension-image {
        display: inline-flex;
        margin-right: 0;
        margin-bottom: 3rem;
        justify-content: center;

        img {
            max-height: 350px;
        }
    }
}


@media only screen and (min-width: 550px) {
/*************** Tablet Viewport ***************/
   
    .video-image-wrapper {
        margin: 4rem 4rem 2rem 4rem;
        max-width: 700px;

        iframe { max-height: 400px;}
    }

}



@media only screen and (min-width: 850px) {
/*************** Tablet Landscape Breakpoint ***************/

    .breadcrumbs {
        display: block;
    }

    .gn-productpage-upper {
        .mb-half {
            margin-bottom: 0px;
        }
    }

    .woocommerce-product-gallery__wrapper {
        overscroll-behavior-y: auto !important;
    }

    .gn-productpage-description {
        padding: 8rem 2rem 0rem 2rem !important;
    }

    .video-image-wrapper {
        margin: 4rem auto;

        iframe { max-height: 700px;}
    }

    .gn-productpage-bottom {
        padding-top: 5rem !important;
    }

    /*Pfeile in der Produktgallerie Lightbox ab jetzt anzeigen*/
    .pswp--svg {
        .pswp__button--arrow--left, 
        .pswp__button--arrow--right {
            display: block;
        }
    }

    /* ddms- Accordion Tabs auf der Produktseite */
    .ddms-tab-content .ddms-dimension-image {
        width: 50%;
    }

}



@media only screen and (min-width: 1110px) {
/*************** Desktop Breakpoint ***************/
    
     /* Blick in die Fertigung Button */
    .bidf-wrapper {
        padding:0px 14px 0px 10px;
        top: 30px;
        right: 30px;
        height: 42px;

        .dashicons-controls-play {
            margin-right:6px;
            font-size: 20px;
            height: 20px;
            transition: none;
        }
    }
    
    .gn-productpage-config-inner-row {
            padding-top: 8rem;
    }

    .gn-productpage-bottom {
        padding: 4rem 8rem 2rem 8rem !important;
    
        .product-section .product-section-title {
                font-size: 36px;
                line-height: 42px;
        }
    }

    .video-image-wrapper {
        max-width: 800px;
    }

}